MyGUI 3.2.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::ClipboardManager Class Reference

`#include <MyGUI_ClipboardManager.h>`

Inheritance diagram for MyGUI::ClipboardManager:
[legend]

## Public Member Functions
| ClipboardManager ()
void | initialise ()
void | shutdown ()
void | setClipboardData (const std::string &_type, const std::string &_data)
void | clearClipboardData (const std::string &_type)
std::string | getClipboardData (const std::string &_type)
Public Member Functions inherited from MyGUI::Singleton< ClipboardManager >
| Singleton ()
virtual | ~Singleton ()

## Additional Inherited Members
Public Types inherited from MyGUI::Singleton< ClipboardManager >
typedef Singleton < ClipboardManager > | Base
Static Public Member Functions inherited from MyGUI::Singleton< ClipboardManager >
static ClipboardManager & | getInstance ()
static ClipboardManager * | getInstancePtr ()
static const char * | getClassTypeName ()
Static Protected Attributes inherited from MyGUI::Singleton< ClipboardManager >
static const char * | mClassTypeName

## Detailed Description

Definition at line 33 of file MyGUI_ClipboardManager.h.

## Constructor & Destructor Documentation

MyGUI::ClipboardManager::ClipboardManager | ( |  | ) |

Definition at line 79 of file MyGUI_ClipboardManager.cpp.

## Member Function Documentation

void MyGUI::ClipboardManager::clearClipboardData | ( | const std::string & | _type | ) |

Clear specific type data

Parameters

  _type | of data to delete (for example "Text")

Definition at line 141 of file MyGUI_ClipboardManager.cpp.

std::string MyGUI::ClipboardManager::getClipboardData | ( | const std::string & | _type | ) |

Get specific type data

Parameters

  _type | of data to get (for example "Text")

Definition at line 147 of file MyGUI_ClipboardManager.cpp.

void MyGUI::ClipboardManager::initialise | ( |  | ) |

Definition at line 84 of file MyGUI_ClipboardManager.cpp.

void MyGUI::ClipboardManager::setClipboardData | ( | const std::string & | _type,
|  | const std::string & | _data
| ) |  |

Set current data in clipboard

Parameters

  _type | of data (for example "Text")
  _data |

Definition at line 114 of file MyGUI_ClipboardManager.cpp.

void MyGUI::ClipboardManager::shutdown | ( |  | ) |

Definition at line 105 of file MyGUI_ClipboardManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ClipboardManager.h
- MyGUI_ClipboardManager.cpp